﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.ServiceModel.Description;
using AdaNNTP;

namespace AdaDaemon
{
    class Program
    {
        internal static AdaNNTP.NewsgroupService newsgroupService = AdaNNTP.NewsgroupService.Instance;

        internal static Ada.Protocol.Config adaConfig = Ada.Protocol.Config.Instance;

        static void Main(string[] args)
        {
            //System.IO.StreamWriter consoleWriter = new System.IO.StreamWriter("debug.txt");

            Console.WriteLine("AdaDaemon Started.");

            using (ServiceHost host = new ServiceHost(typeof(AdaDaemon.AdaManager)))
            {
                host.Open();
                Console.WriteLine("Press <Enter> to terminate the Host application.");
                Console.ReadLine();
            }

            //consoleWriter.AutoFlush = true;
            
        }
    }
}
