﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Ada
{
	public class ServiceConatainer
	{
		#region Singleton Pattern

		private static readonly ServiceConatainer instance = new ServiceConatainer();
		
		//Force .net compiler to not apply beforefieldinit. That would be very naughty indeed.
		static ServiceConatainer()
		{
		}

		ServiceConatainer()
		{	
		}

		public static ServiceConatainer Instance
		{
			get
			{
				return instance;
			}
		}
		#endregion

		public AdaNNTP.NewsgroupService newsgroupService;
	}
}
